local Player
local SPlayer
local Black
local White
local Map
local Bomb
local bombs = {}
local Explosion = love.audio.newSource("resources/sounds/explosion.wav", "stream")
s = ""
function love.load()
    love.graphics.setBackgroundColor(255, 255, 255)
    Player = require "libs.player.lua"
    SPlayer = require "libs.secondplayer.lua"
    Black = Player:new(19, 22, "resources/images/Black/")
    table.insert(Black.points, {Black.posx, Black.posy})
    table.insert(Black.points, {Black.posx, Black.posy+22})
    table.insert(Black.points, {Black.posx+19, Black.posy+22})
    table.insert(Black.points, {Black.posx+19, Black.posy})
    Black:setSpeed(1)
    White = SPlayer:new(247, 286, "resources/images/White/")
    table.insert(White.spoints, {White.posx, White.posy})
    table.insert(White.spoints, {White.posx, White.posy+22})
    table.insert(White.spoints, {White.posx+19, White.posy+22})
    table.insert(White.spoints, {White.posx+19, White.posy})
    White:setSpeed(1)
    Map = require "maps.brick.lua"
    Map:addBricks()
    Bomb = require "libs.bomb.lua"
    aaa = love.graphics.newImage("resources/images/Explosions/Horizontal.png")
end
local t = 0
local walkt = 0

function love.update(dt)
    Black:walk(Map)
    White:walk(Map)
end

function love.keypressed(key)
    if key == " " and Black.state ~= "die" then
        local mapx, mapy = math.floor((Black.posx+10)/19), math.floor((Black.posy+11)/22)
        if type(Map[mapy+1][mapx+1]) ~= "table" and Black.cbombs < Black.bombs then
            local a = Bomb:new(mapx*19, mapy*22, "resources/images/Bombs/Bomb", Black.fire)
            Black.cwalkbomb = {mapx+1, mapy+1}
            if #White.scwalkbomb == 0 then
            White.scwalkbomb = {mapx+1, mapy+1}
            end
            Map[mapy+1][mapx+1] = {4, a}
            table.insert(bombs, {a, Black})
            Black.cbombs = Black.cbombs+1
        end
    elseif key == "q" and White.state ~= "die" then
        local mapx, mapy = math.floor((White.posx+10)/19), math.floor((White.posy+11)/22)
        if type(Map[mapy+1][mapx+1]) ~= "table" and White.cbombs < White.bombs then
           local a = Bomb:new(mapx*19, mapy*22, "resources/images/Bombs/Bomb", White.fire)
           if #Black.cwalkbomb == 0 then
           Black.cwalkbomb = {mapx+1, mapy+1}
           end
           White.scwalkbomb = {mapx+1, mapy+1}
           Map[mapy+1][mapx+1] = {4, a}
           table.insert(bombs, {a, White})
           White.cbombs = White.cbombs+1
        end
    end
end

function love.draw()
    Map:draw()
    for i,x in pairs(bombs) do
        x[1]:draw()
        if x[1].bt >= 200 then
            Map = x[1]:explode(Map)
            table.remove(bombs, i)
            local mapx, mapy = math.floor((x[1].posx+10)/19), math.floor((x[1].posy+11)/22)
            x[2].cbombs = x[2].cbombs-1
            Explosion:stop()
            love.audio.play(Explosion)
            White:checkDie(Map)
            Black:checkDie(Map)
        end
    end
    Black:draw()
    White:draw()
   --[[ if #Black.points > 0 then
        love.graphics.print("NW: " .. Black.points[1][1] .. ", " .. Black.points[1][2] .. "\nSW: " .. Black.points[2][1] .. ", " .. Black.points[2][2] .. "\nSE: " .. Black.points[3][1] .. ", " .. Black.points[3][2] .. "\nNE: " .. Black.points[4][1] .. ", " .. Black.points[4][2], 50, 20)
    end
    if #Black.t == 4 then
    love.graphics.print(Black.t[1] .. ", " .. Black.t[2] .. ", " .. Black.t[3] .. ", " .. Black.t[4], 50, 150)
    end ]]--
end